Subject: Re: [PATCH 1/4] powerpc: consolidate feature fixup code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 13 Oct 2006 01:24:58 +1000

> It will also be easier to graft in a branch forward instead of a large
> amount of nops for large feature sections. I guess it will take some
> benchmarking to see what the breakeven point is.

Yeah, I've been thinking about that one for some time (in fact since I
did the first implementation of feature fixup). Thing is, back when it
was all asm, it was hard, and we never really had big feature sections.
Now that we have all that stuff with with PURR etc... in the exception
entry/return path, it might be worth having another look. I suspect that
the breakeven point will be very CPU dependant tho.

Ben.